/* FichothequeLib_API - Copyright (c) 2006-2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.addenda;

import java.util.List;
import net.fichotheque.Subset;
import net.fichotheque.addenda.metadata.AddendaMetadata;


/**
 *
 * @author Vincent Calame
 */
public interface Addenda extends Subset {

    public Document getDocumentById(int id);

    public Document getDocumentByBasename(String basename);

    public List<Document> getDocumentList();

    public default AddendaMetadata getAddendaMetadata() {
        return (AddendaMetadata) getMetadata();
    }

}
